Bug 1412529 - SELinux is preventing rfkill from read, write access on the chr_file rfkill.
Summary: SELinux is preventing rfkill from read, write access on the chr_file rfkill.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4b4382057d7eac85b7f07e5af48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 08:11 UTC by Biji
Modified: 2017-12-12 10:07 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:07:08 UTC
Type: ---


Attachments (Terms of Use)

Description Biji 2017-01-12 08:11:58 UTC
Description of problem:
SELinux is preventing rfkill from read, write access on the chr_file rfkill.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that rfkill should be allowed read write access on the rfkill chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'rfkill' --raw | audit2allow -M my-rfkill
# semodule -X 300 -i my-rfkill.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:wireless_device_t:s0
Target Objects                rfkill [ chr_file ]
Source                        rfkill
Source Path                   rfkill
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.6.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.0-0.rc3.git1.2.fc26.x86_64 #1
                              SMP Tue Jan 10 16:20:14 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-12 15:10:43 WIB
Last Seen                     2017-01-12 15:10:43 WIB
Local ID                      dc7c85bd-c93b-4956-9ca5-e33da6ee4d07

Raw Audit Messages
type=AVC msg=audit(1484208643.372:226): avc:  denied  { read write } for  pid=6683 comm="rfkill" name="rfkill" dev="devtmpfs" ino=17082 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:wireless_device_t:s0 tclass=chr_file permissive=1


Hash: rfkill,tlp_t,wireless_device_t,chr_file,read,write

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc3.git1.2.fc26.x86_64
type:           libreport

Comment 1 Biji 2017-02-11 01:02:58 UTC
Description of problem:
resuming from hibernate (fedora 25)

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.0-0.rc7.git2.2.fc26.x86_64
type:           libreport

Comment 2 bugreports 2017-04-27 23:50:46 UTC
Description of problem:
After installing TLP on a Thinkpad 430, about 25 warnings come up from SELinux whenever the laptop starts charging.

Version-Release number of selected component:
selinux-policy-3.13.1-225.13.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.10.11-200.fc25.x86_64
type:           libreport

Comment 3 Bertran Lopez 2017-05-05 21:14:46 UTC
(In reply to bugreports from comment #2)
> Description of problem:
> After installing TLP on a Thinkpad 430, about 25 warnings come up from
> SELinux whenever the laptop starts charging.
> 
> Version-Release number of selected component:
> selinux-policy-3.13.1-225.13.fc25.noarch
> 
> Additional info:
> reporter:       libreport-2.8.0
> hashmarkername: setroubleshoot
> kernel:         4.10.11-200.fc25.x86_64
> type:           libreport

I have exactly the same problem on my ThinkPad T430s after installing TLP.

Comment 4 Bertran Lopez 2017-05-20 11:19:58 UTC
This is a duplicate of 1410066.

Comment 5 Fedora End Of Life 2017-11-16 18:31:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:07:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.